Release 3.7 | August 21, 2019 (Build) | August 22, 2019 (AppStore)

 

Required iOS 9.0 or later. Compatible with iPhone, iPad and iPod touch.

This update includes improvements and fixes:

- Deep optimisation of mail, calendars and embedded browser

- Stability improvements

- Minimal iOS version is 10.0

 

Have more questions? Submit a request

0 Comments

Article is closed for comments.